"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
//import { ImageError } from '@exceptions/HttpException';
const uuid_1 = require("uuid");
const imageMiddleware = (req, res, next) => {
    console.log("hellooooo");
    // if (req.body.removedImage==1) {
    //     delete req.body.removedImage;
    //     req.body.image = "public/images/default.png";
    //     return next();
    // } 
    // else{
    if (!req.files) {
        req.body["image"] = "hello my friend";
        next();
    }
    else {
        try {
            let imageData = req.files.image;
            if (imageData.size <= 2 * 1024 * 1024 && (imageData.mimetype === "image/png" || imageData.mimetype === "image/jpg" || imageData.mimetype == "image/jpeg")) {
                let imageGuid = (0, uuid_1.v4)();
                let avatar = imageData;
                let type = "";
                if (imageData.mimetype === "image/png") {
                    type = ".png";
                }
                if (imageData.mimetype === "image/jpg") {
                    type = ".jpg";
                }
                if (imageData.mimetype === "image/jpeg") {
                    type = ".jpeg";
                }
                if (imageData.mimetype === "image/webp") {
                    type = ".webp";
                }
                let image = ('public/images' + '/' + imageGuid + type).toString();
                avatar.mv(image);
                req.body.image = image;
                next();
            }
            else {
                next();
            }
        }
        catch (_a) {
            next();
        }
    }
    // }
};
exports.default = imageMiddleware;
